Package org.apache.catalina.tribes.io

## Interface ListenCallback

- All Known Implementing Classes:
    `NioReceiver`, `ReceiverBase`

      public interface ListenCallback

  Internal interface, similar to the MessageListener but used at the IO base The listen callback interface is used by the replication system when data has been received. The interface does not care about objects and marshalling and just passes the bytes straight through.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `messageDataReceived​(ChannelMessage data)` | This method is invoked on the callback object to notify it that new data has been received from one of the cluster nodes.

- - ### Method Detail

    - #### messageDataReceived

          void messageDataReceived​(ChannelMessage data)

      This method is invoked on the callback object to notify it that new data has been received from one of the cluster nodes.
      Parameters:
        `data` - - the message bytes received from the cluster/replication system